classification
Title: Add support of the 'with' statement to sunau.open.
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: Claudiu.Popa, python-dev, r.david.murray, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-08-29 19:48 by serhiy.storchaka, last changed 2013-09-05 14:39 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
sunau_context_manager.patch serhiy.storchaka, 2013-09-03 22:08 review
Messages (3)
msg196482 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-29 19:48
The proposed patch adds support of the 'with' statement to sunau.open (as it already was added for aifc.open and wave.open). It based on patches from issue17616.
msg196874 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-03 22:09
I will commit it tomorrow if there are no objections.
msg196998 - (view) Author: Roundup Robot (python-dev) Date: 2013-09-05 14:04
New changeset a62f59667c9e by Serhiy Storchaka in branch 'default':
Issue #18878: sunau.open now supports the context manager protocol.  Based on
http://hg.python.org/cpython/rev/a62f59667c9e
History
Date User Action Args
2013-09-05 14:39:27serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-09-05 14:04:05python-devsetnosy: + python-dev
messages: + msg196998
2013-09-04 11:32:05serhiy.storchakalinkissue18919 dependencies
2013-09-03 22:09:45serhiy.storchakasetmessages: + msg196874
2013-09-03 22:08:39serhiy.storchakasetfiles: - sunau_context_manager.patch
2013-09-03 22:08:03serhiy.storchakasetfiles: + sunau_context_manager.patch
2013-09-03 20:56:34serhiy.storchakasetnosy: + Claudiu.Popa
2013-09-03 20:30:01serhiy.storchakasetassignee: serhiy.storchaka
2013-08-29 19:50:17serhiy.storchakasetfiles: + sunau_context_manager.patch
keywords: + patch
stage: patch review
2013-08-29 19:48:58serhiy.storchakacreate